Bug 1076739 (ghc-scientific) - Review Request: ghc-scientific - Arbitrary-precision floating-point numbers represented using scientific notation
Summary: Review Request: ghc-scientific - Arbitrary-precision floating-point numbers r...
Keywords:
Status: CLOSED ERRATA
Alias: ghc-scientific
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 999011
TreeView+ depends on / blocked
 
Reported: 2014-03-15 01:00 UTC by Rick Elrod
Modified: 2014-04-29 05:21 UTC (History)
2 users (show)

Fixed In Version: ghc-scientific-0.2.0.2-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-24 07:37:02 UTC
petersen: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
ghc-scientific.spec-1.patch (673 bytes, patch)
2014-03-27 09:19 UTC, Jens Petersen
no flags Details | Diff

Description Rick Elrod 2014-03-15 01:00:38 UTC
Spec URL: http://codeblock.fedorapeople.org/packages/ghc-scientific/ghc-scientific.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/ghc-scientific/ghc-scientific-0.2.0.2-1.fc20.src.rpm
Description: 
A 'Scientific' number is an arbitrary-precision floating-point number
represented using scientific notation.

Fedora Account System Username: codeblock

Comment 1 Jens Petersen 2014-03-24 09:57:40 UTC
Needed by quite a few important packages:

http://packdeps.haskellers.com/reverse/scientific

Comment 2 Jens Petersen 2014-03-27 09:17:36 UTC
Basically looks fine to me.  Just a couple of small points/suggestions:

- please add a changelog entry
  (I am still pondering sometimes what is the best default
   changelog entry by cblrpm including ver-rel...)
- I will attach a small patch to improve the description "markup".


Package Review
==============
Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====
C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/petersen/pkgreview/1076739-ghc-
     scientific/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 215040 bytes in 17 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Haskell:
[x]: This should never happen

===== SHOULD items =====
Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Scriptlets must be sane, if used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====
Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.

Rpmlint
-------
Checking: ghc-scientific-0.2.0.2-1.fc20.x86_64.rpm
          ghc-scientific-devel-0.2.0.2-1.fc20.x86_64.rpm
          ghc-scientific-0.2.0.2-1.fc20.src.rpm
ghc-scientific.x86_64: W: spelling-error %description -l en_US fromInteger -> from Integer, from-integer, Comintern
ghc-scientific.x86_64: W: incoherent-version-in-changelog 0.2.0.2 ['0.2.0.2-1.fc20', '0.2.0.2-1']
ghc-scientific.src: W: spelling-error %description -l en_US fromInteger -> from Integer, from-integer, Comintern
ghc-scientific.src: W: strange-permission scientific-0.2.0.2.tar.gz 0600L
3 packages and 0 specfiles checked; 0 errors, 4 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint ghc-scientific ghc-scientific-devel
ghc-scientific.x86_64: W: spelling-error %description -l en_US fromInteger -> from Integer, from-integer, Comintern
ghc-scientific.x86_64: W: incoherent-version-in-changelog 0.2.0.2 ['0.2.0.2-1.fc20', '0.2.0.2-1']
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'

Requires
--------
ghc-scientific (rpmlib, GLIBC filtered):
    ghc(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc(hashable-1.1.2.5-e0f2541518f84d3123a819112b4ffe20)
    ghc(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    libHSarray-0.4.0.1-ghc7.6.3.so()(64bit)
    libHSbase-4.6.0.1-ghc7.6.3.so()(64bit)
    libHSbytestring-0.10.0.2-ghc7.6.3.so()(64bit)
    libHSdeepseq-1.3.0.1-ghc7.6.3.so()(64bit)
    libHSghc-prim-0.3.0.0-ghc7.6.3.so()(64bit)
    libHShashable-1.1.2.5-ghc7.6.3.so()(64bit)
    libHSinteger-gmp-0.5.0.0-ghc7.6.3.so()(64bit)
    libHStext-0.11.3.1-ghc7.6.3.so()(64bit)
    libc.so.6()(64bit)
    libgmp.so.10()(64bit)
    rtld(GNU_HASH)

ghc-scientific-devel (rpmlib, GLIBC filtered):
    /bin/sh
    ghc(scientific-0.2.0.2-9e8a50a267891dabb0076bcebdc0afad)
    ghc-compiler
    ghc-devel(base-4.6.0.1-8aa5d403c45ea59dcd2c39f123e27d57)
    ghc-devel(deepseq-1.3.0.1-5cc4cd89bdc2e8f6db1833d95ec36926)
    ghc-devel(hashable-1.1.2.5-e0f2541518f84d3123a819112b4ffe20)
    ghc-devel(text-0.11.3.1-e38859e86485c167fa7c9441789e7607)
    ghc-scientific(x86-64)

Provides
--------
ghc-scientific:
    ghc(scientific-0.2.0.2-9e8a50a267891dabb0076bcebdc0afad)
    ghc-scientific
    ghc-scientific(x86-64)
    libHSscientific-0.2.0.2-ghc7.6.3.so()(64bit)

ghc-scientific-devel:
    ghc-devel(scientific-0.2.0.2-9e8a50a267891dabb0076bcebdc0afad)
    ghc-scientific-devel
    ghc-scientific-devel(x86-64)
    ghc-scientific-static

Unversioned so-files
--------------------
ghc-scientific: /usr/lib64/ghc-7.6.3/scientific-0.2.0.2/libHSscientific-0.2.0.2-ghc7.6.3.so

Source checksums
----------------
http://hackage.haskell.org/package/scientific-0.2.0.2/scientific-0.2.0.2.tar.gz :
  CHECKSUM(SHA256) this package     : c0114a8809f34c1bc284e53ce0ce836a0f23ed2535ef9df06417e65a9c6a398f
  CHECKSUM(SHA256) upstream package : c0114a8809f34c1bc284e53ce0ce836a0f23ed2535ef9df06417e65a9c6a398f


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -b 1076739
Buildroot used: fedora-20-x86_64
Active plugins: Generic, Haskell, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG


Package APPROVED

Comment 3 Jens Petersen 2014-03-27 09:19:47 UTC
Created attachment 879384 [details]
ghc-scientific.spec-1.patch

better formatting in second paragraph of description.

Comment 4 Rick Elrod 2014-04-02 07:27:09 UTC
New Package SCM Request
=======================
Package Name: ghc-scientific
Short Description: Arbitrary-precision floating-point numbers represented using scientific notation
Owners: codeblock petersen
Branches: f20 epel7 f19
InitialCC: haskell-sig

Comment 5 Gwyn Ciesla 2014-04-02 12:00:17 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2014-04-11 09:12:44 UTC
ghc-scientific-0.2.0.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/ghc-scientific-0.2.0.2-1.fc20

Comment 7 Fedora Update System 2014-04-11 09:12:54 UTC
ghc-scientific-0.2.0.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ghc-scientific-0.2.0.2-1.fc19

Comment 8 Fedora Update System 2014-04-15 15:39:30 UTC
ghc-scientific-0.2.0.2-1.fc19 has been pushed to the Fedora 19 testing repository.

Comment 9 Fedora Update System 2014-04-24 07:37:02 UTC
ghc-scientific-0.2.0.2-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-04-29 05:21:46 UTC
ghc-scientific-0.2.0.2-1.fc19 has been pushed to the Fedora 19 stable repository.


Note You need to log in before you can comment on or make changes to this bug.